GesagtGetan.Theme:Mixin_ContactData:
  abstract: true
  ui:
    inspector:
      tabs:
        contact:
          label: i18n
          position: 10
          icon: icon-envelope
      groups:
        contact:
          label: i18n
          position: 10
          icon: icon-envelope
          tab: contact
        social:
          label: i18n
          position: 20
          icon: icon-twitter
          tab: contact
  properties:
    phone:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: contact
          position: 10
    mail:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: contact
          position: 30
      validation:
        'Neos.Neos/Validation/EmailAddressValidator': []
    address:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: contact
          editor: 'Neos.Neos/Inspector/Editors/TextAreaEditor'
          position: 40
    socialFacebook:
      type: string
      ui:
        label: Facebook
        reloadIfChanged: true
        inspector:
          group: social
      validation:
        'Neos.Neos/Validation/RegularExpressionValidator':
          regularExpression: '^(https?:\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/ \w\.-\?#]*)*$'
    socialTwitter:
      type: string
      ui:
        label: Twitter
        reloadIfChanged: true
        inspector:
          group: social
      validation:
        'Neos.Neos/Validation/RegularExpressionValidator':
          regularExpression: '^(https?:\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/ \w\.-\?#]*)*$'
    socialVimeo:
      type: string
      ui:
        label: Vimeo
        reloadIfChanged: true
        inspector:
          group: social
      validation:
        'Neos.Neos/Validation/RegularExpressionValidator':
          regularExpression: '^(https?:\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/ \w\.-\?#]*)*$'
    socialXing:
      type: string
      ui:
        label: Xing
        reloadIfChanged: true
        inspector:
          group: social
      validation:
        'Neos.Neos/Validation/RegularExpressionValidator':
          regularExpression: '^(https?:\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/ \w\.-\?#]*)*$'
    socialYouTube:
      type: string
      ui:
        label: YouTube
        reloadIfChanged: true
        inspector:
          group: social
      validation:
        'Neos.Neos/Validation/RegularExpressionValidator':
          regularExpression: '^(https?:\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/ \w\.-\?#]*)*$'
